SortedSetDocValuesReaderState.OrdRange (Lucene 10.5.1 facet API)
Description: declaration: package: org.apache.lucene.facet.sortedset, class: SortedSetDocValuesReaderState, record: OrdRange

Package org.apache.lucene.facet.sortedset

# Record Class SortedSetDocValuesReaderState.OrdRange

java.lang.Object
java.lang.Record
org.apache.lucene.facet.sortedset.SortedSetDocValuesReaderState.OrdRange

Record Components:
  `start` - Start of range, inclusive:
  `end` - End of range, inclusive:

Enclosing class:
  `SortedSetDocValuesReaderState`

public static record SortedSetDocValuesReaderState.OrdRange(int start, int end) extends Record
Holds start/end range of ords, which maps to one dimension. Only used for flat hierarchies.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrdRange(int start, int end)`
  Creates an instance of a `OrdRange` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `end()`
  Returns the value of the `end` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `PrimitiveIterator.OfInt`
  `iterator()`
  Iterates from start to end ord (inclusive)
  `int`
  `start()`
  Returns the value of the `start` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OrdRange

    public OrdRange(int start, int end)
    Creates an instance of a `OrdRange` record class.
    Parameters:
      `start` - the value for the `start` record component
      `end` - the value for the `end` record component

- ## Method Details

  - ### iterator

    public PrimitiveIterator.OfInt iterator()
    Iterates from start to end ord (inclusive)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### start

    public int start()
    Returns the value of the `start` record component.
    Returns:
      the value of the `start` record component

  - ### end

    public int end()
    Returns the value of the `end` record component.
    Returns:
      the value of the `end` record component